package binders

// |@@| C

import (
	"context"
	"gardening/src/dat/maes"
	"github.com/gin-gonic/gin"
)

type SeeEventsAppBinder struct {
}

func (this *SeeEventsAppBinder) Bind(ctx context.Context, in *maes.SeeEventsMaeIn, c *gin.Context) error {
	this.bindRequest(ctx, in, c)
	return nil
}
func (this *SeeEventsAppBinder) bindRequestForm(ctx context.Context, in *maes.SeeEventsMaeIn, c *gin.Context) error {
	return nil
}
func (this *SeeEventsAppBinder) bindRequest(ctx context.Context, in *maes.SeeEventsMaeIn, c *gin.Context) error {
	this.bindRequestForm(ctx, in, c)
	return nil
}
